unit uCursor;

interface

uses Rubies;

procedure Init_Cursor;

implementation

uses
{$IFDEF VCL}
  Controls,
{$ELSE}
  QControls,
{$ENDIF}
  uStrUtils, uDefUtils, uPhi;

procedure Init_Cursor;
begin
  ap_define_const(mPhi, 'crDefault', INT2FIX(crDefault));
  ap_define_const(mPhi, 'crNone', INT2FIX(crNone));
  ap_define_const(mPhi, 'crArrow', INT2FIX(crArrow));
  ap_define_const(mPhi, 'crCross', INT2FIX(crCross));
  ap_define_const(mPhi, 'crIBeam', INT2FIX(crIBeam));
  ap_define_const(mPhi, 'crSizeNESW', INT2FIX(crSizeNESW));
  ap_define_const(mPhi, 'crSizeNS', INT2FIX(crSizeNS));
  ap_define_const(mPhi, 'crSizeNWSE', INT2FIX(crSizeNWSE));
  ap_define_const(mPhi, 'crSizeWE', INT2FIX(crSizeWE));
  ap_define_const(mPhi, 'crUpArrow', INT2FIX(crUpArrow));
  ap_define_const(mPhi, 'crHourGlass', INT2FIX(crHourGlass));
  ap_define_const(mPhi, 'crDrag', INT2FIX(crDrag));
  ap_define_const(mPhi, 'crNoDrop', INT2FIX(crNoDrop));
  ap_define_const(mPhi, 'crHSplit', INT2FIX(crHSplit));
  ap_define_const(mPhi, 'crVSplit', INT2FIX(crVSplit));
  ap_define_const(mPhi, 'crMultiDrag', INT2FIX(crMultiDrag));
  ap_define_const(mPhi, 'crSQLWait', INT2FIX(crSQLWait));
  ap_define_const(mPhi, 'crNo', INT2FIX(crNo));
  ap_define_const(mPhi, 'crAppStart', INT2FIX(crAppStart));
  ap_define_const(mPhi, 'crHelp', INT2FIX(crHelp));
  ap_define_const(mPhi, 'crHandPoint', INT2FIX(crHandPoint));
  ap_define_const(mPhi, 'crSizeAll', INT2FIX(crSizeAll));
end;

end.
